Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.resources.util
Class SoftwareLoadManager

    java.lang.Object
      org.jini.rio.resources.util.SoftwareLoadManager

    public class SoftwareLoadManager

extends Object

The SoftwareLoadManager class provides support to manage the download and installation of a SoftwareLoad

Constructor Summary
`SoftwareLoadManager(String installPath, SoftwareLoad softwareLoad)` Create an instance of the SoftwareLoadManager

Method Summary
`SoftwareDownloadRecord` | `download()` Performs software download for a SoftwareLoad
`static void` | `main(String[] args)`
`static String` | `makeFileName(String root, String extension)` Make a directory or file name
`SoftwareDownloadRecord` | `postInstall()` Perform post-install task(s) as described by the PostInstallAttributes object
`void` | `remove()` Remove installed software
`static void` | `remove(SoftwareDownloadRecord record)` Remove installed software

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SoftwareLoadManager

    public SoftwareLoadManager(String installPath,
                               SoftwareLoad softwareLoad)

  Create an instance of the SoftwareLoadManager

  Parameters:
    `installPath` - The root directory to download the software. If the directory does not exist, it will be created. Read and write access permissions are required to the directory
    `softwareLoad` - The SoftwareLoad

Method Detail

### download

    public SoftwareDownloadRecord download()
                                    throws IOException

  Performs software download for a SoftwareLoad

  Returns:
    The SoftwareDownloadRecord based on attributes from the downloaded software
  Throws:
    `IOException` - if there are errors accessing the file system

### postInstall

    public SoftwareDownloadRecord postInstall()
                                       throws IOException

  Perform post-install task(s) as described by the PostInstallAttributes object

  Returns:
    A SoftwareDownloadRecord for the post install if software was downloaded to perform the post install task(s). If no software was downloaded to perform the task(s), return null
  Throws:
    `IOException` - if there are errors accessing the file system

### remove

    public void remove()

  Remove installed software

### remove

    public static void remove(SoftwareDownloadRecord record)

  Remove installed software

  Parameters:
    `record` - The SoftwareDownloadRecord to remove

### makeFileName

    public static String makeFileName(String root,
                                      String extension)

  Make a directory or file name

  Parameters:
    `root` - The root directory name
    `extension` - The name of the extension
  Returns:
    A directory name

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.